Subject: Platanos Cuban/Spanish Style

From: [email-masked] (Mandy Garcia)
Date: Mon, 6 Mar 1995 15:45:05 GMT

Platanos with honey and cinnamon?  I'm sorry, I can't fathom that combonation.
Being cuban, I was brought up enjoying Platanos (Plantains) the way our
ancestors made it.

Anyway, here it is

You can enjoy Platanos two ways, green or ripe.

Platanos Verde (green)
Peel the green platano
In a skillet, heat olive oil, extra virgin, medium low
Cut your green platano into 1/2 inch sections.
Place into heated oil.
Turn frequently so it will not burn  If it starts to burn, oil is too hot.

Cook until platano appears soft in the middle and ends our golden/crispy brown.
Remove from oil and place under the flap of a brown paper bag
smash platanos until semi-flat
sprinkle with salt and garlic juice (optional)

Platanos Frito
Peel the ripe platano, the riper the better
Cut into half sections at a slant
In a skillet, heat olive oil, extra virgin, medium low
Place platanos in oil
Turn frequently until dark golden brown
Place on paper towels to absorb excess olive oil
Sprinkle with sugar
Wala! Platano frito

I'm sorry if I insulted your platanos with cinnamon and honey.  Maybe it's 
good. I'm just a very traditional person, strong to my heritage, strong to my
food.

I highly recommend this with horos con pojo (chicken and yellow rice), 
frijoles negro (black beans) y ensalada (salad).

Your cuban cook
Armando Garcia